﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_FATVS_POS_REFSKILL', 'T_FATVS_POS_REFSKILL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_POS_REFSKILL_FID') CREATE INDEX IDX_FATVS_POS_REFSKILL_FID ON T_FATVS_POS_REFSKILL ( FID );


 EXEC P_ALTERPK 'PK_T_FATVS_POSITION', 'T_FATVS_POSITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_POS_FOFFICE') CREATE INDEX IDX_FATVS_POS_FOFFICE ON T_FATVS_POSITION ( FOFFICE );


 EXEC P_ALTERPK 'PK_T_FATVS_POSITION_L', 'T_FATVS_POSITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_POSITION_L') CREATE INDEX IDX_FATVS_POSITION_L ON T_FATVS_POSITION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_OFFICE', 'T_FATVS_OFFICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_OFFICE_NUM') CREATE INDEX IDX_FATVS_OFFICE_NUM ON T_FATVS_OFFICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_FATVS_OFFICE_L', 'T_FATVS_OFFICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_OFFICE_L') CREATE INDEX IDX_FATVS_OFFICE_L ON T_FATVS_OFFICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILL_L', 'T_FATVS_SKILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_L') CREATE INDEX IDX_FATVS_SKILL_L ON T_FATVS_SKILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILL_RELATEDFLAG', 'T_FATVS_SKILL_RELATEDFLAG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RELATED_FID') CREATE INDEX IDX_FATVS_SKILL_RELATED_FID ON T_FATVS_SKILL_RELATEDFLAG ( FID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLFLAG', 'T_FATVS_SKILLFLAG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILLFLAG_NO') CREATE INDEX IDX_FATVS_SKILLFLAG_NO ON T_FATVS_SKILLFLAG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLRUNTIMEDATA_L', 'T_FATVS_SKILLRUNTIMEDATA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIMEDATA_L') CREATE INDEX IDX_FATVS_SKILL_RUNTIMEDATA_L ON T_FATVS_SKILLRUNTIMEDATA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLFLAG_L', 'T_FATVS_SKILLFLAG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILLFLAG_L') CREATE INDEX IDX_FATVS_SKILLFLAG_L ON T_FATVS_SKILLFLAG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILL', 'T_FATVS_SKILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_OFFICE') CREATE INDEX IDX_FATVS_SKILL_OFFICE ON T_FATVS_SKILL ( FOFFICE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_EMPLOYEE') CREATE INDEX IDX_FATVS_SKILL_EMPLOYEE ON T_FATVS_SKILL ( FEMPLOYEE );


 EXEC P_ALTERPK 'PK_T_FATVS_EMPLOYEE_L', 'T_FATVS_EMPLOYEE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_EMP_L_FID') CREATE INDEX IDX_FATVS_EMP_L_FID ON T_FATVS_EMPLOYEE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_FATVS_EMPLOYEE', 'T_FATVS_EMPLOYEE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_EMP_OFFICE') CREATE INDEX IDX_FATVS_EMP_OFFICE ON T_FATVS_EMPLOYEE ( FOFFICEID );


 EXEC P_ALTERPK 'PK_FATVS_RUNTIMEDATAENTRY', 'T_FATVS_RUNTIMEDATAENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIMEENTRY') CREATE INDEX IDX_FATVS_SKILL_RUNTIMEENTRY ON T_FATVS_RUNTIMEDATAENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLRUNTIMEDATA', 'T_FATVS_SKILLRUNTIMEDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIME_OFFICE') CREATE INDEX IDX_FATVS_SKILL_RUNTIME_OFFICE ON T_FATVS_SKILLRUNTIMEDATA ( FOFFICE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIME_EE') CREATE INDEX IDX_FATVS_SKILL_RUNTIME_EE ON T_FATVS_SKILLRUNTIMEDATA ( FEMPLOYEE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIME_SKILL') CREATE INDEX IDX_FATVS_SKILL_RUNTIME_SKILL ON T_FATVS_SKILLRUNTIMEDATA ( FSKILL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_RUNTIME_BTIME') CREATE INDEX IDX_FATVS_SKILL_RUNTIME_BTIME ON T_FATVS_SKILLRUNTIMEDATA ( FBEGINTIME );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLLATESTIME', 'T_FATVS_SKILLLATESTIME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_LATESTIME') CREATE INDEX IDX_FATVS_SKILL_LATESTIME ON T_FATVS_SKILLLATESTIME ( FSKILL );


 EXEC P_ALTERPK 'PK_T_FATVS_SKILLLATESTIME_L', 'T_FATVS_SKILLLATESTIME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FATVS_SKILL_LATESTIME_L') CREATE INDEX IDX_FATVS_SKILL_LATESTIME_L ON T_FATVS_SKILLLATESTIME_L ( FID ,FLOCALEID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_constraint.sql **/
