﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_INTERACTSCENE_L') 
 CREATE TABLE T_FATVS_INTERACTSCENE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_INTERACTSCENE') 
 CREATE TABLE T_FATVS_INTERACTSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEE BIGINT DEFAULT 0 NOT NULL,
FROBOTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOWSCHEME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSECRETKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARKS VARCHAR(200) DEFAULT ' ' NOT NULL,
FOUTOFTIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENE CHAR(1) DEFAULT ' ' NOT NULL,
FACCADDRESS VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SCENECONTENTRY') 
 CREATE TABLE T_FATVS_SCENECONTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIBE VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIBE_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SCENEPAGEENTRY') 
 CREATE TABLE T_FATVS_SCENEPAGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONFIGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGEREMARK VARCHAR(200) DEFAULT ' ' NOT NULL,
FPAGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAGEADDRESS VARCHAR(512) DEFAULT ' ' NOT NULL,
FPIXEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBROADCAST NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SCENEPICENTRY') 
 CREATE TABLE T_FATVS_SCENEPICENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPICTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
