﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_POS_REFSKILL') 
 CREATE TABLE T_FATVS_POS_REFSKILL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_POSITION') 
 CREATE TABLE T_FATVS_POSITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FOFFICE BIGINT DEFAULT 0 NOT NULL,
FISPREFABRICATE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_POSITION_L') 
 CREATE TABLE T_FATVS_POSITION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_OFFICE') 
 CREATE TABLE T_FATVS_OFFICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSEQ INTEGER DEFAULT 0 NOT NULL,
FSEQSHOW INTEGER DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_OFFICE_L') 
 CREATE TABLE T_FATVS_OFFICE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILL_L') 
 CREATE TABLE T_FATVS_SKILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSKILLVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILL_RELATEDFLAG') 
 CREATE TABLE T_FATVS_SKILL_RELATEDFLAG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLFLAG') 
 CREATE TABLE T_FATVS_SKILLFLAG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLRUNTIMEDATA_L') 
 CREATE TABLE T_FATVS_SKILLRUNTIMEDATA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLFLAG_L') 
 CREATE TABLE T_FATVS_SKILLFLAG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILL') 
 CREATE TABLE T_FATVS_SKILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FOFFICE BIGINT DEFAULT 0 NOT NULL,
FSKILLVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDISTRIBUTESTATUS CHAR(1) DEFAULT '0' NOT NULL,
FEMPLOYEE BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTETIME DATETIME,
FUNLOCKTIME DATETIME,
FLABOREFFICIENCY BIGINT DEFAULT 0 NOT NULL,
FLABORCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNLOCKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBELONGAPP VARCHAR(50) DEFAULT ' ' NOT NULL,
FBELONGLICENSEGROUP VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNLOCKSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPICTUREFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLASSPATH VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_EMPLOYEE_L') 
 CREATE TABLE T_FATVS_EMPLOYEE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOTTO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_EMPLOYEE') 
 CREATE TABLE T_FATVS_EMPLOYEE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FAVATAR VARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLPINYIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLEPINYIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FMOTTO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FGENDER CHAR(1) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADDED CHAR(1) DEFAULT '0' NOT NULL,
FENTRYTIME DATETIME,
FENTRYSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FOFFICEID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_RUNTIMEDATAENTRY') 
 CREATE TABLE T_FATVS_RUNTIMEDATAENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMVALUE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLRUNTIMEDATA') 
 CREATE TABLE T_FATVS_SKILLRUNTIMEDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FOFFICE BIGINT DEFAULT 0 NOT NULL,
FSKILL BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEE BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT BIGINT DEFAULT 0 NOT NULL,
FFAILCOUNT BIGINT DEFAULT 0 NOT NULL,
FRUNTIMEJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FRUNTIMEJSON_TAG NCLOB,
FPEOPLEWORK DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAVEMONEY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLABOREFFICIENCY BIGINT DEFAULT 0 NOT NULL,
FLABORCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINTIME DATETIME,
FENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLLATESTIME') 
 CREATE TABLE T_FATVS_SKILLLATESTIME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSKILL BIGINT DEFAULT 0 NOT NULL,
FLATESTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_SKILLLATESTIME_L') 
 CREATE TABLE T_FATVS_SKILLLATESTIME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
