﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGESCHEME') 
 CREATE TABLE T_FATVS_URGESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FFATVSEMPLOYEE BIGINT DEFAULT 0 NOT NULL,
FURGEBIZOBJ BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTIMEREPEATMODEL VARCHAR(10) DEFAULT ' ' NOT NULL,
FDAY VARCHAR(100) DEFAULT ' ' NOT NULL,
FWEEK VARCHAR(20) DEFAULT ' ' NOT NULL,
FHOUR VARCHAR(70) DEFAULT ' ' NOT NULL,
FMINUTE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCRONVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITIONTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGINCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINCONTENTJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FPLUGINCONTENTJSON_TAG NCLOB,
FBASECONJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FBASECONJSON_TAG NCLOB,
FEXTCONJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTCONJSON_TAG NCLOB,
FNOTICETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FURGEUSERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FURGEOBJVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGETITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGECONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMSGDETAILTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGELINK VARCHAR(1024) DEFAULT ' ' NOT NULL,
FAFTER_VALUETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAFTER_VALUE INT DEFAULT 0 NOT NULL,
FJOBID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPLANID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGESCHEME_USER') 
 CREATE TABLE T_FATVS_URGESCHEME_USER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGESCHEME_L') 
 CREATE TABLE T_FATVS_URGESCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGEBIZOBJ_ATTRIB') 
 CREATE TABLE T_FATVS_URGEBIZOBJ_ATTRIB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTRIBNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FATTRIBNUM VARCHAR(25) DEFAULT ' ' NOT NULL,
FATTRIBTYPE VARCHAR(16) DEFAULT ' ' NOT NULL,
FATTRIBSOURCE VARCHAR(16) DEFAULT ' ' NOT NULL,
FATTRIBVALUE VARCHAR(500) DEFAULT ' ' NOT NULL,
FATTRIBPRESET CHAR(1) DEFAULT '0' NOT NULL,
FBIZAPP VARCHAR(36) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FATTRIBJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FATTRIBJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGEBIZOBJ_L') 
 CREATE TABLE T_FATVS_URGEBIZOBJ_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGEBIZOBJ') 
 CREATE TABLE T_FATVS_URGEBIZOBJ (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEOBJ VARCHAR(36) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FBIZOBJTYPE VARCHAR(16) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FATVS_URGEEXECD') 
 CREATE TABLE T_FATVS_URGEEXECD (
FID BIGINT DEFAULT 0 NOT NULL,
FEXETIME DATETIME,
FSCHEMAID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAID VARCHAR(50) DEFAULT ' ' NOT NULL,
FURGEOBJID VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\FATVS_table.sql **/
